org.eclipse.cdt.utils.cdtvariables

## Class SupplierBasedCdtVariableManager

- java.lang.Object
- - org.eclipse.cdt.utils.cdtvariables.SupplierBasedCdtVariableManager

    public class SupplierBasedCdtVariableManager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SupplierBasedCdtVariableManager()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkParentContextRelation(IVariableContextInfo child, IVariableContextInfo parent)`
`static ICdtVariable` `getVariable(String macroName, IVariableContextInfo contextInfo, boolean includeParentContexts)`
`static ICdtVariable[]` `getVariables(IVariableContextInfo contextInfo, boolean includeParentContexts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SupplierBasedCdtVariableManager

    public SupplierBasedCdtVariableManager()

### Method Detail

#### getVariable

    public static ICdtVariable getVariable(String macroName,
                                           IVariableContextInfo contextInfo,
                                           boolean includeParentContexts)

#### getVariables

    public static ICdtVariable[] getVariables(IVariableContextInfo contextInfo,
                                              boolean includeParentContexts)

#### checkParentContextRelation

    public static boolean checkParentContextRelation(IVariableContextInfo child,
                                                     IVariableContextInfo parent)